package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 商品订单状态枚举
 * @Author 纪寒
 * @Date 2022-10-19 09:15:38
 * @Version 1.0
 */
@Getter
public enum GooodsOrderStatusEnum {

    /**
     * 待付款
     */
    WAIT_PAY("WAIT_PAY"),

    /**
     * 已付款
     */
    PAY("PAY"),

    /**
     * 已取消
     */
    CANCEL("CANCEL"),

    /**
     * 待收货
     */
    WAIT_RECEIVED_GOODS("WAIT_RECEIVED_GOODS"),

    /**
     * 已收货
     */
    RECEIVED_GOODS("RECEIVED_GOODS"),

    /**
     * 退款中
     */
    WAIT_REFUND("WAIT_REFUND"),

    /**
     * 已退款
     */
    REFUNDED("REFUNDED"),

    /**
     * 待退货
     */
    WAIT_RETURNED_GOODS("WAIT_RETURNED_GOODS"),

    /**
     * 已退货
     */
    RETURNED_GOODS("RETURNED_GOODS"),

    /**
     * 已评价
     */
    EVALUATED("EVALUATED"),

    /**
     * 已完成
     */
    COMPLETED("COMPLETED"),
    ;
    final private String info;

    GooodsOrderStatusEnum(String info) {
        this.info = info;
    }
}
